%define major	5
%define libname	%mklibname ass %{major}
%define devname	%mklibname ass -d

Summary:	Library for SSA/ASS subtitles rendering
Name:		libass
Version:	0.13.4
Release:	%mkrel 1
License:	ISC
Group:		System/Libraries
URL:		https://github.com/libass/libass/
Source:		https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(fontconfig) >= 2.4.2
BuildRequires:	pkgconfig(freetype2) >= 9.10.3
BuildRequires:	pkgconfig(fribidi) >= 0.19.0
BuildRequires:	pkgconfig(libpng) >= 1.2.0

%description
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{libname}
Summary:	Shared library for SSA/ASS subtitles rendering
Group:		System/Libraries

%description -n	%{libname}
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{devname}
Summary:	Development files for libass development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	ass-devel = %{version}-%{release}
Provides:	libass-devel = %{version}-%{release}

%description -n	%{devname}
Libass is a portable library for SSA/ASS subtitles rendering.

This package contains the files for developing applications which
will use libass.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libass.so.%{major}*

%files -n %{devname}
%doc Changelog COPYING
%{_libdir}/libass.so
%{_includedir}/ass
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Oct 05 2016 luigiwalser <luigiwalser> 0.13.4-1.mga5
+ Revision: 1058928
- 0.13.4

* Tue Jan 27 2015 luigiwalser <luigiwalser> 0.12.1-1.mga5
+ Revision: 812470
- 0.12.1

* Thu Nov 20 2014 luigiwalser <luigiwalser> 0.12.0-1.mga5
+ Revision: 797962
- 0.12.0
- update URL

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 738987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-2.mga5
+ Revision: 681334
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 0.11.2-1.mga5
+ Revision: 621606
- 0.11.2

* Wed Mar 12 2014 luigiwalser <luigiwalser> 0.11.1-1.mga5
+ Revision: 602696
- 0.11.1
- update source URL

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.10.2-1.mga5
+ Revision: 591626
- 0.10.2
- library major is now 5

* Fri Oct 18 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 506905
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 356824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.10.1-1.mga3
+ Revision: 334815
- 0.10.1

* Sun Dec 11 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 180735
- new version 0.10.0

* Tue Sep 13 2011 fwang <fwang> 0.9.12-2.mga2
+ Revision: 142874
- drop .la files

* Mon Jul 04 2011 ahmad <ahmad> 0.9.12-1.mga2
+ Revision: 117977
- Update to 0.9.12
- Upstream changed the license to ISC

* Sun Jan 16 2011 anssi <anssi> 0.9.11-3.mga1
+ Revision: 20241
- imported package libass

